Crystal Space: iParticleState Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleState Struct Reference
[Mesh plugins]

This interface describes the API for the particle mesh object. More...

`#include <imesh/partsys.h>`

Inheritance diagram for iParticleState:

[legend]
List of all members.

## Public Member Functions
virtual float | GetAlpha () const =0
| Get the probable alpha of the particles.
virtual bool | GetChangeAlpha (float &factor) const =0
| see if change alpha is enabled, and get the value if so.
virtual bool | GetChangeColor (csColor &col) const =0
| see if change color is enabled, and get a copy if so.
virtual bool | GetChangeRotation (float &angle) const =0
| see if change rotation is enabled, and get the angle if so.
virtual bool | GetChangeSize (float &factor) const =0
| see if change size is enabled, and get the value if so.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual void | SetAlpha (float alpha)=0
| Set the alpha of particles.
virtual void | SetChangeAlpha (float factor)=0
| Change alpha of all particles, by factor per second.
virtual void | SetChangeColor (const csColor &color)=0
| Set change color.
virtual void | SetChangeRotation (float angle)=0
| Change rotation of all particles, by angle in radians per second.
virtual void | SetChangeSize (float factor)=0
| Set change size of all particles, by factor per second.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.
virtual void | SetSelfDestruct (csTicks t)=0
| Set selfdestruct mode on, and msec to live.
virtual void | UnsetChangeAlpha ()=0
| Stop change of alpha.
virtual void | UnsetChangeColor ()=0
| Unset change color.
virtual void | UnsetChangeRotation ()=0
| Stop change of rotation.
virtual void | UnsetChangeSize ()=0
| Unset change of size.
virtual void | UnSetSelfDestruct ()=0
| System will no longer self destruct.

## Detailed Description

This interface describes the API for the particle mesh object.

Definition at line 37 of file partsys.h.

## Member Function Documentation

virtual float iParticleState::GetAlpha | ( |  | ) | const`[pure virtual]`

Get the probable alpha of the particles.

Implemented in csParticleSystem.

virtual bool iParticleState::GetChangeAlpha | ( | float & | factor | ) | const`[pure virtual]`

see if change alpha is enabled, and get the value if so.

Implemented in csParticleSystem.

virtual bool iParticleState::GetChangeColor | ( | csColor & | col | ) | const`[pure virtual]`

see if change color is enabled, and get a copy if so.

Implemented in csParticleSystem.

virtual bool iParticleState::GetChangeRotation | ( | float & | angle | ) | const`[pure virtual]`

see if change rotation is enabled, and get the angle if so.

Implemented in csParticleSystem.

virtual bool iParticleState::GetChangeSize | ( | float & | factor | ) | const`[pure virtual]`

see if change size is enabled, and get the value if so.

Implemented in csParticleSystem.

virtual uint iParticleState::GetMixMode | ( |  | ) | const`[pure virtual]`

Get mix mode.

Implemented in csParticleSystem.

virtual void iParticleState::SetAlpha | ( | float | alpha | ) | `[pure virtual]`

Set the alpha of particles.

Implemented in csParticleSystem.

virtual void iParticleState::SetChangeAlpha | ( | float | factor | ) | `[pure virtual]`

Change alpha of all particles, by factor per second.

Implemented in csParticleSystem.

virtual void iParticleState::SetChangeColor | ( | const csColor & | color | ) | `[pure virtual]`

Set change color.

Implemented in csParticleSystem.

virtual void iParticleState::SetChangeRotation | ( | float | angle | ) | `[pure virtual]`

Change rotation of all particles, by angle in radians per second.

Implemented in csParticleSystem.

virtual void iParticleState::SetChangeSize | ( | float | factor | ) | `[pure virtual]`

Set change size of all particles, by factor per second.

Implemented in csParticleSystem.

virtual void iParticleState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

Set mix mode.

Implemented in csParticleSystem.

virtual void iParticleState::SetSelfDestruct | ( | csTicks | t | ) | `[pure virtual]`

Set selfdestruct mode on, and msec to live.

Implemented in csParticleSystem.

virtual void iParticleState::UnsetChangeAlpha | ( |  | ) | `[pure virtual]`

Stop change of alpha.

Implemented in csParticleSystem.

virtual void iParticleState::UnsetChangeColor | ( |  | ) | `[pure virtual]`

Unset change color.

Implemented in csParticleSystem.

virtual void iParticleState::UnsetChangeRotation | ( |  | ) | `[pure virtual]`

Stop change of rotation.

Implemented in csParticleSystem.

virtual void iParticleState::UnsetChangeSize | ( |  | ) | `[pure virtual]`

Unset change of size.

Implemented in csParticleSystem.

virtual void iParticleState::UnSetSelfDestruct | ( |  | ) | `[pure virtual]`

System will no longer self destruct.

Implemented in csParticleSystem.

The documentation for this struct was generated from the following file:

- imesh/partsys.h